=== debian/changelog ===
fai (3.2.17~lenny1) stable-proposed-updates; urgency=medium

  * fai 3.2.17 and 3.2.17~lenny1 are identical - the difference in version 
    number is only due to the way packages move within Debian releases.
  * Added myself to uploaders.
  * Fix typo in fai-do-scripts which prevented perl scripts to be executed, 
    thanks to Andrew Ruthven for reporting this. (Closes: #504662)
  * setup-storage/Parser.pm: Do not enforce a space after VG/LV names in
    resize/preserve options. Thanks to Frederic Blanc for the patch.
    (closes: #516849)
  * fai-mirror: honor $debug and $qflag environment variables, thanks to 
    Michael Tautschnig. (Closes: #494431)
  * device2grub: Add /dev/i2o/hdX  to the list of recognized devices. Thanks
    to Jürgen Kahnert for the patch. (Closes: #515101)

 -- Holger Levsen <holger@debian.org>  Wed, 25 Feb 2009 12:26:19 +0100

fai (3.2.16) unstable; urgency=high

  [ Thomas Lange ]
  * fai: fix RC bug, missing umount (closes: #511391)
  * README: year++
  * prcopyleft: year++

  [ Colin Tuckley ]
  * fixed spelling mistakes in faimond.8, faimond-gui.1

 -- Thomas Lange <lange@debian.org>  Mon, 12 Jan 2009 13:12:26 +0100

fai (3.2.15) unstable; urgency=low

  [ Thomas Lange ]
  * fai-server.manpages: faimond-gui.1 was not included into the package
  * fix typos in mkdebmirror, NEWS, classes_description.txt, fai-mirror,
    fai-cd.8, fai-guide.sgml
  * lib/subroutines: check *.var files if they are readable
  * bootexample.sgml: fix typo
  * dhcpd.conf/FAISERVER: fix wrong path in example
  * links.html: fix typo (closes: #508598)
  * fai-guide.sgml: fix package name in documentation (closes: #504797)
  * get-boot-info: fix wrong test parameter (closes: #509090)
  * setup-storage: increase version number
  
  [ Colin Tuckley ]
  * fixed spelling mistakes in fai-do-scripts.1, fai-mirror.1
  
  [ Sebastian Harl ]
  * fai-guide.sgml: fix several typos, mention Git, use $FAI instead of
    /fai (closes: #507129)
  
  [ Michael Tautschnig ]
  * Commands.pm: Print an informational message whenever a volume or
    partition is preserved or resized (closes: #508893)
  
 -- Thomas Lange <lange@debian.org>  Mon, 22 Dec 2008 14:51:54 +0100

fai (3.2.14) unstable; urgency=low

  * fai-guide.sgml: document behaviour of LOGSERVER (closes: #361524)
  * install_packages: fix usage of option -n (closes: #489546)
  * setup-storage, Commands.pm, Exec.pm: Call udevsettle before doing any
    of the commands to avoid all the possible pitfalls, simplyfies the
    code quite a bit. (closes: #503729)

 -- Thomas Lange <lange@debian.org>  Tue, 28 Oct 2008 10:32:20 +0100

fai (3.2.13) unstable; urgency=low

  * lib/setup-storage/Commands.pm: fixed dependency error in vgcreate
    commands (closes: #502462)
  * fcopy: fix ordering of classes (closes: #502975)

 -- Thomas Lange <lange@debian.org>  Wed, 22 Oct 2008 12:14:51 +0200

fai (3.2.12) unstable; urgency=low

  * setup-storage/Parser.pm, setup-storage/Sizes.pm: Warn, if a
    preserved partition does not match the size specified in the
    disk_config; fail, if an extended partition is to be created in place
    of a to-be-preserved partition (closes: #501772)
  * setup-storage/Exec.pm: recent versions of parted log errors to
    stdout instead of stderr + adaption of error messages to current ones
    (closes: #500823)
  * setup-storage/Volumes.pm: Handle new error message in case of
    missing disk label (closes: #500823)
  * setup-storage: extended debug output of sorted commands
    (closes: #500822)
  * setup-storage/Commands.pm: Properly sort commands, fixed dependency
    errors, use start_byte for new config instead of begin_byte
    (closes: #500822)
  * setup-storage: increase version number
  * make-fai-nfsroot: print version of debootstrap (closes: #500046)
  * fai-guide.sgml: minor update in example
  * fai-chboot.8: fix warning from man

 -- Thomas Lange <lange@debian.org>  Wed, 15 Oct 2008 11:25:39 +0200

fai (3.2.11) unstable; urgency=low

  * control: depend on syslinux-common instead of syslinux (closes: #494417)
    use same intro for description for all packages,
    add dependeny and recommends on openbsd-inetd | inet-superserver as
    workaround for #404760
  * fai-chboot.8, fai-cd.8, ainsl.1, fai.8, fai-class.8: apply patches
    from Colin Tuckley
  * THANKS: add Colin
  * fai-chboot.8: add example for using templates, add link to pxelinux
    documentation
  * fai-cd.8: remove unused info
  * fai-mirror.1: add information about files used by this script
  * faimond.8: minor fixes
  * install_packages.8: minor fixes
  * make-fai-nfsroot.8: minor fixes
  * fai-debconf.1: minor fixes
  * setup-storage.8: replace mdoc macro version with man macro version,
    reformat examples using tab stops, make groff happy
  * fai-guide.sgml: remove info about make-fai-bootfloppy, add info about
    kernel parameters
  * faisetup.sgml: update messages
  * bootexample.sgml: update example messages
  * mkdebmirror: remove obsolete code for fetching boot floppy images

 -- Thomas Lange <lange@debian.org>  Wed, 01 Oct 2008 14:20:45 +0200

fai (3.2.10) unstable; urgency=low

  * add texlive-latex-recommended and texlive-fonts-recommended to
    build-depends-indep which fixes FTBFS (closes: #497683),
    add cfengine2 as recommends to fai-client (closes: #442843),
    remove mknbi from fai-docs recommends
  * Init.pm: really add important bugfix (494784) that was only fixed in svn 
    but not in 3.2.9 upload (closes: #494784), fix typo in variable name
  * Volume.pm: ignore output line of parted containing "Model:"
    (closes: #497066) 
  * disk-info: fix bashism (closes: #498023),
    add pattern for KVM devices like /dev/vd[abcd]X (closes: #494426)
  * Makefile,VERSION: remove variable KERNELVERSION, because it's unused since
    3.2 (closes: #494699)
  * fai-cd: do not redirect stderr to /dev/null when calling find_fai_data,
    otherwise we do not get any errors when the grub call fails

