=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Holger Levsen <holger@debian.org>
Standards-Version: 3.8.0
Build-Depends-Indep: debiandoc-sgml, texlive-base-bin, texlive-latex-extra, texlive-fonts-recommended, texlive-latex-recommended
Build-Depends: debhelper (>= 4.1.16)
Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
Vcs-Browser: http://svn.debian.org/wsvn/fai
Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-client
Architecture: all
Section: admin
Depends: perl, file, libapt-pkg-perl, libparse-recdescent-perl
Recommends: debconf-utils, cfengine2
Suggests: ntfsprogs, dmsetup, cryptsetup
Conflicts: fai, fai-kernels
Replaces: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Section: doc
Conflicts: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Section: admin
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server, dhcp3-server | bootp, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver
Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk, libproc-daemon-perl
Conflicts: fai
Replaces: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Section: admin
Depends: fai-server, fai-doc, dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space. 

Package: fai-nfsroot
Architecture: all
Section: admin
Depends: fai-client, live-initramfs
Conflicts: fai, fai-kernels
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.
