=== debian/changelog ===
fai (3.4.3ubuntu1) maverick; urgency=low

  * Bugfix release (LP: #655189)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 05 Oct 2010 15:18:01 +0000

fai (3.4.3) unstable; urgency=low

  [ Thomas Lange ]
  * [01730b1] add Julien to THANKS file
  * [8fd3b92] raise importance of libproc-daemon-perl to Recommends
    (Closes: #593089)
  * [4d2967c] remove netmask from IP address (Closes: #597870)
  * [c6371e9] remove unused code (Closes: #596055)
  * Documentation related changes:
    - [c3d74dc] fix url of solaris/auto-install
    - [a34bb05] new domain name for the project (fai-project.org)
    - [f7a8ae1] fix homepage url
    - [a392628] fix link and date in QUESTIONNAIRE
    - [7986692] new date in fai-guide.txt
    - [827b6db] add more detailed list of tasks

  [ Michael Tautschnig ]
  * [cc508b6] setup-storage/Fstab.pm: Don't resolve LVM devices via
    readlink (thanks Brian Kroth for suggesting a similar patch).
    (Closes: #597238)
  * [ccad800] Fixed a whitespace/table alignment issue.
  * [9728758] Clarify error message in case of invalid use of swap/luks
    in disk_config

  [ Julien BLACHE ]
  * [8b1abdc] Fix preserve for RAID
  * [79f10a1] Rework mdadm output parsing code to make it more tolerant
    to changes in the output format

 -- Michael Prokop <mika@debian.org>  Tue, 05 Oct 2010 02:46:32 +0200

fai (3.4.2) unstable; urgency=low

  [ Michael Prokop ]
  * [5da742c] bin/make-fai-nfsroot: change check for /usr/share/live-
    initramfs to /usr/share/initramfs-tools/scripts/live
    (Closes: #595365)

 -- Michael Prokop <mika@debian.org>  Wed, 15 Sep 2010 22:23:51 +0200

fai (3.4.1) unstable; urgency=low

  [ Michael Tautschnig ]
  * [d055788] Enforce execution of mdadm --create only after all
    partition table manipulations.

 -- Michael Prokop <mika@debian.org>  Fri, 27 Aug 2010 13:25:52 +0200

fai (3.4.0) unstable; urgency=low

  The "FAI in New York at DebConf10" Release.

  [ Thomas Lange ]
  * [23c9130] make-fai-nfsroot: fix typo
  * [66a6491] year++
  * [63b89bd] add comment to lib/subroutines regarding /dev mount
  * [29381ac] mkramdisk: use exit in main routine (closes: #583289)
  * [f10e41a] ainsl: exit with 0 if line already exists in the file
  * [2fba437] sources.list: fix security.geo.debian.org domain entries
  * [b4301ee] install_packages: fix typo in warn message
  * [cc5fff4] make-fai-nfsroot, make-fai-nfsroot.8: add option -B,
    (closes: #576092) (thanks to Mika Prokop for the patch)
  * [c29d0f9] disk-info: rename subroutine
  * [d92d340] remove leading space in debian/control long description
  * [23ffbe6] remove unneeded else for extracting base.tgz
  * [ab0ca37] dhcp-edit: new command that adds or removes entries
    to/from dhcpd.conf
  * [e3c99bc] control: change dependencies on fai-setup-storage
  * [ee748e9] fai-chboot,fai-chboot.8: add option -P
  * [3fc2e78] setup-storage.8: add info about flag_initial
  * [84a3c16] doc/error-levels: describe error levels of task_error
    subroutine
  * [52d0c1d] make-fai-nfsroot: remove etc/hostname and 70-persistent-
    net.rules from nfsroot and base.tgz (thanks to Manuel Hachtkemper
    for the patch)
  * [ed3e77f] subroutines: do not dump bash array variables
  * [265475d] add different implementation for dumping variables, thanks
    to Andreas Schuldei
  * [61044db] add $modified, add more messages, fix code for adding a
    host
  * [433dc9f] make-fai-nfsroot: fix typo, remove redundant rm command
  * [dda0071] put ROOTPW into quotes, so empty password will work
    (thanks to Adrien Cunin for the patch)
  * [c043d96] 10-misc, subroutines: move adding /etc/hosts entry from
    task_prepareapt
  * [dc71219] fai-do-scripts: add cfengine 3 support
  * [0752918] savelog.LAST: ignore ACPI Warning
  * [6612e23] task_sysinfo: remove call of sysinfo (non open source
    software), check if blkid exists before calling it
  * [9350d55] ftar, ftar.8: add xz support
  * [0af7676] fcopy, fai-cd, fai-do-scripts, ftar, fai-debconf, dhcp-
    edit, fai-class, install_packages, ainsl, fai-mirror, fai-chboot:
    remove version information, remove e-mail address for bugs
  * [1dddb1b] fai-cd: add grub2 support (thanks to Sebastian Hetze for
    the patch)
  * [035f6cb] fai-cd: remove grub test which is already done before
  * [5648a55] fai-cd.8: add option -G
  * [f848790] fcopy: do not copy file if preinst script fails
    (closes: #573044) thanks to Andreas Schuldei for the patch
  * [89d2d14] - mkramdisks: add option -a, remove use of FAI_NORAMDISK,
                use FAI_RAMDISKS
              - subroutines: adjust to new option of mkramdisks
  * [4f1170b] fix typo (in changelog)
  * [0840cce] subroutines: new subroutine umount_csspace, so it can be
    used in user hooks (thanks to Waldemar for the patch)
  * [6769f42] fai-guide.txt: add info how to generate the encrypted
    password
  * [e486952] control: update to new standards version
  * [530f72a] fai-cd: add checks if package download succeeded
  * [60fef62] fai-cd.8: add option -G
  * [654d771] grub.cfg, Makefile: add missing grub.cfg to package
  * [604e894] fai-server.install: add missing grub.cfg
  * [0c0c21a] fai-cd: fix, use grub.cfg for grub2
  * [e752bb5] fai-mirror, fai-mirror.8: add option -m
  * [4470a12] disk_config: use UUID's in fstab
  * [763e15b] make-fai-nfsroot: force creating of symlinks
    (closes: #588009)
  * [8c5ad04] - fai-mirror: use $mirrordir if no argument given
                (closes: #428597)
              - get-config-dir-svn: use exit code of first command of
                pipe (closes: #557544)
  * [09351aa] fai-mirror: use $mirrordir if no argument given
    (closes: #428597)
  * [63b4678] fix line break, so normal text line does not start with a
    dot
  * [9560a33] get-config-dir: change error message
  * [b503fa6] savelog.LAST: add ignore pattern
  * [6f2b222] savelog.LAST: add ignore pattern
  * [7e5037d] new setup-fai-test-environment script create two virtual
    machines for testing


