=== debian/control ===
--- 
+++ 
@@ -2,23 +2,20 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
-Uploaders: Holger Levsen <holger@debian.org>
-Standards-Version: 3.8.0
-Build-Depends-Indep: debiandoc-sgml, texlive-base-bin, texlive-latex-extra, texlive-fonts-recommended, texlive-latex-recommended
-Build-Depends: debhelper (>= 4.1.16)
+Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
+Standards-Version: 3.9.1.0
+Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
+Build-Depends: debhelper (>= 7)
 Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/fai
-Homepage: http://www.informatik.uni-koeln.de/fai
+Homepage: http://fai-project.org
 
 Package: fai-client
 Architecture: all
-Section: admin
-Depends: perl, file, libapt-pkg-perl, libparse-recdescent-perl
+Depends: perl, file, libapt-pkg-perl, iproute
 Recommends: debconf-utils, cfengine2
-Suggests: ntfsprogs, dmsetup, cryptsetup
 Conflicts: fai, fai-kernels
 Replaces: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation client package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -33,7 +30,6 @@
 Architecture: all
 Section: doc
 Conflicts: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Documentation for FAI
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -44,13 +40,11 @@
 
 Package: fai-server
 Architecture: all
-Section: admin
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, dhcp3-server | bootp, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver
-Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux | syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -68,9 +62,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Section: admin
-Depends: fai-server, fai-doc, dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
-Homepage: http://www.informatik.uni-koeln.de/fai
+Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux | syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -81,10 +73,8 @@
 
 Package: fai-nfsroot
 Architecture: all
-Section: admin
-Depends: fai-client, live-initramfs
+Depends: fai-client, live-initramfs, fai-setup-storage
 Conflicts: fai, fai-kernels
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -93,3 +83,21 @@
  .
  This package contains the software that is only needed in
  the FAI nfsroot. Do not install this package on a normal machine.
+
+Package: fai-setup-storage
+Architecture: all
+Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
+Recommends: lvm2, mdadm
+Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
+Conflicts: fai-client (<< 3.4~)
+Description: automatically prepare storage devices
+ Using FAI disk_config files, setup-storage computes effective
+ partition and volume sizes and executes the necessary commands
+ to configure storage devices. It manages disk drives as well
+ as RAID and LVM volumes. It handles all file systems supported
+ by parted(8) as well as ntfs but is flexible enough to be
+ extended to further types as well. Once the storage devices
+ are prepared, an appropriate fstab(5) file is generated.
+ .
+ This package provides the setup-storage utility as separate
+ package so it can be used independent from FAI as well.
