## fai 3.4.7

=== debian/changelog ===
fai (3.4.7) unstable; urgency=low

  [ Michael Tautschnig ]
  * [d2708f9] setup-storage/Commands.pm: Rebuild partition table only
    once, unless necessary (Closes: #607901) - thanks to Toomas Tamm
    <tt-fai@kky.ttu.ee>

 -- Michael Prokop <mika@debian.org>  Fri, 24 Dec 2010 09:47:43 +0100

fai (3.4.6) unstable; urgency=low

  [ Thomas Lange ]
  * [370cf6a] print message to stderr (closes: #605947)

  [ Michael Tautschnig ]
  * [ae1e965] setup-storage/{Fstab.pm,Parser.pm}: Cleanup code for
    defining BOOT_DEVICE; setup-storage.8: Properly document
    semantics of BOOT_DEVICE and disk_var.sh - thanks to
    Julien Blache <jblache@debian.org>
  * [a7130ae] simple/scripts/GRUB_PC/10-setup: No need to deal with
    multiple devices anymore, BOOT_DEVICE will always a be single value
    - thanks to alekibango, David Dreezer
  * [4ff0276] setup-storage/Commands.pm: Use proper dependencies when
    entire disks are used as part of a RAID or LVM volume - thanks
    to Peter Kruse
  * [6b2956f] setup-storage/Commands.pm: Always run vgchange -a -n, even
    if no prior LVM was detected; run pvcreate with -ff -y.
    (closes: #606485) - thanks to Mathieu Alorent <malorent@echo.fr>
  * [20e21b3] setup-storage/Commands.pm: Fix dependencies between disk
    and LVM commands. (closes: #606113) - thanks to Mathieu Alorent
    <malorent@echo.fr>, Nicolas Courtel <courtel@cena.fr>

  [ Michael Prokop ]
  * [691bc38] task_mountdisks(): catch every exit code != 0 from mount2dir.

 -- Michael Prokop <mika@grml.org>  Thu, 23 Dec 2010 12:04:36 +0100

fai (3.4.5) unstable; urgency=low

  [ Michael Prokop ]
  * [0e587c4] conf/NFSROOT: provide commented (and not activated) linux-
    image line for lenny - thanks to Thomas Lange
  * [530261d] conf/sources.list: replace lenny with squeeze - thanks to
    Thomas Lange
  * [d59d35f] fai-nfsroot.postrm: use rm with -f to not fail if
    /etc/init.d/rcS does not exist - thanks to Holger for the report
  * [10a5626] simple examples: move from apt-proxy to approx - thanks
    to Thomas Lange (closes: #602763)
  * [305bb81] NFSROOT: move commented lenny package examples to
    according place - thanks to Thomas Lange
  * [b7eb5c4] Adjust depends/recommends regarding tftp server
    (closes: #603565)

  [ Thomas Lange ]
  * [df7e592] use hostname= from the kernel command line
    (closes: #601750)
  * [7dcb45f] only use interfaces that are up (closes: #600591)
  * [039a7f0] print message to stdout (closes: #600715)
  * [e7376be] fai-cd.8: add missing verb
  * [6ec9f0a] FAI questionnaire: ask for logo
  * [326bd14] create directories, set additional parameters
    (closes: #602498)
  * [a955bf8] FAI questionnaire: exclude basefiles in du(1) command
  * [7beb0d0] write MBR when using grub2 (closes: #597479)
  * [d54f816] remove some packages to make fai-cd smaller
  * [d93bfc5] remove part of how to enable PXE on 3com. This info was
    move into the wiki
  * [cc2e198] add hint about ADDCLASSES
  * [62d45e7] add newline, makes shell.log much more readable
  * [72acf49] do not include /boot on CD
  * [66cad6f] do not install grub always into (hd0) (closes: #604938)

  [ Julien BLACHE ]
  * [d970926] Unbreak tmpfs support

  [ Michael Tautschnig ]
  * [fa1a816] setup-storage/Volumes.pm: Included parted output line if
    parsing parted output fails.
  * [0cca9d8] install grub into all raid devices. (closes: #604938)

 -- Michael Prokop <mika@debian.org>  Tue, 30 Nov 2010 12:10:42 +0100

fai (3.4.4) unstable; urgency=low

  [ Michael Prokop ]
  * [2fb9524] doc/lenny-instructions.txt: provide instructions how to
    install Debian/lenny with 3.4.x releases - thanks to Thomas Lange
  * [152d969] debian/NEWS: provide information regarding lenny release,
    /bin/dash issue and new FAI URL http://fai-project.org/
  * [ed8b4a3] README: replace lenny with squeeze
  * [ed12cc3] fai: re-add support for hostname=... bootoption when using
    live-config - thanks to Karl Wallner <fai@karlwallner.de>
  * [046af3c] man/fai-class.1: replace dpkg --print-installation-
    architecture with --print-architecture - thanks to Michael Log
    <mmlogin@gmail.com>
  * [7cf136b] bin/install_packages: mention import variables $aptoptions
    and $FAI_DEBSOURCESDIR - thanks to Michael Log <mmlogin@gmail.com>
  * [f90ec20] bin/fai-cd: fix quote handling of rsync check - thanks to
    Michael Log <mmlogin@gmail.com>

  [ Thomas Lange ]
  * [12714de] reinclude code which is needed (closes: #599305)

  [ Michael Tautschnig ]
  * [f65f489] fai, make-fai-nfsroot: Use df -P for guaranteed one-line-
    is-one-mount output - thanks to Michael Log <mmlogin@gmail.com>
  * [84ac5c4] examples/simple/disk_config/FAIBASE: Added bootable:1,
    which is still necessary on some systems - thanks to
    Maximiliano Curia <maxy@gnuservers.com.ar> for reporting
  * [2dbf3c5] fai-guide.txt: Improved documentation of hooks - thanks
    to Peter Bittner <peter.bittner@thalesgroup.com>
  * [cc694c8] install_packages: Fix dpkg hold output - thanks to
    Michael Log <mmlogin@gmail.com>
  * [1d02322] setup-storage/Commands.pm: Quote fs argument in parted
    mkpart calls - thanks to Peter Kruse <pk@q-leap.de>

 -- Michael Prokop <mika@debian.org>  Fri, 15 Oct 2010 10:49:10 +0200
