## fai 3.4.7ubuntu2

=== debian/changelog ===
fai (3.4.7ubuntu2) natty; urgency=low

  * Changes for Ubuntu:
    + /etc/fai/make-fai-nfsroot.conf:
      - add "--include=aptitude" to FAI_DEBOOTSTRAP_OPTS because
        aptitude changed from Priority: important to optional,
        therefore debootstrap won't install it by default anymore.
        (LP: #714570)
      - add "dhcp-client" to "--exclude" options for FAI_DEBOOTSTRAP_OPTS
    + bin/fai-cd:
      - Fixed missing grub-common package (LP: #710311)

 -- Stephan Adig <sh@sourcecode.de>  Tue, 08 Feb 2011 07:05:15 +0000

fai (3.4.7ubuntu1) natty; urgency=low

  * New upstream version
  * Changes for Ubuntu:
    + conf/NFSROOT: 
      - replacing linux-image-* with linux-image
      - removed hwinfo
      - added console-setup
    + exmaples/simple/scripts/GRUB_PC/10-setup:
      - added command to regenerate grub.cfg

 -- Stephan Adig <sh@sourcecode.de>  Wed, 19 Jan 2011 07:55:35 +0000
