=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux | syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
 Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
@@ -62,7 +62,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux | syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -73,7 +73,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client, live-initramfs, fai-setup-storage
+Depends: fai-client, live-boot|live-initramfs, fai-setup-storage
 Conflicts: fai, fai-kernels
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
