## fai 3.4.8

=== debian/changelog ===
fai (3.4.8) unstable; urgency=low

  [ Michael Goetze ]
  * [eeae848] package_config/FAISERVER: remove mkisofs
  * [af1d1de] simple-examples: in squeeze, the GRUB 1 package is called
    "grub-legacy".
  * [f895526] Document http method for $FAI_CONFIG_SRC in fai-guide
  * [f3574fb] Use $ROOTCMD grub-install for grub1
  * [248edd7] menu.lst/postinst: Use grub device name for $ROOTCMD grub-
    install
  * [b264ac0] Make device2grub use grub-mkdevicemap rather than stuff in
    target

  [ Michael Prokop ]
  * [cffdba6] debian/changelog: update git commit IDs - thanks to
    Michael Tautschnig for helping
  * [81085f7] bin/fai-do-scripts: also ignore files with suffix .dpkg-
    dist and .dpkg-tmp
  * [8893351] FAIBASE/30-interface: bugfix so fai softupdate runs
    without error on a fresh installation with simple-examples -
    backported patch by Michael Goetze
  * [07b42af] fai-guide: adjusting quoting of variables like
    FAI_CONFIG_SRC for proper output
  * [8e201f9] Move get-config-dir-http to according space for stable-
    branch.
  * [a9c1065] Remove 99-discover-bug script, deprecated since lenny.
  * [e21417e] Bump Standards-Version to 3.9.2.

  [ Michael Tautschnig ]
  * [b261425] setup-storage/Sizes.pm: Properly handle extended
    partitions that aren't the last primary partition.
  * [d939b6d] setup-storage/Sizes.pm: gpt-bios must be sector-wise first
    partition.
  * [cf1d068] setup-storage, setup-storage/Parser.pm: sanity checks.
  * [e014096] setup-storage.8: Clarify that partition/volume sizes are
    integers.
  * [a801de8] setup-storage/{Parser,Volumes,Init}.pm: Improved error
    reporting. (Closes: #617720, #611728) - thanks to Toomas Tamm
  * [7715da4] setup-storage, setup-storage/{Volumes,Commands,Exec,
    Init,Parser}.pm: Software RAID bugfixes
  * [282e36a] setup-storage/{Parser,Commands}.pm: Make on-disk LV order
    consistent with disk_config
  * [01002aa] setup-storage: Revert incomplete $FAI::DATADIR use to
    $ENV{LOGDIR}
  * [01865ee] make-fai-nfsroot: Remove Ubuntu-specific
    lib/udev/rules.d/85-lvm2.rules to avoid LVM auto-start
  * [bbfb13b] setup-storage/Sizes.pm: Make 100% a valid partition size.
    (Closes: #619136)
  * [6e47075] setup-storage/Parser.pm: Support k and K for kilobytes
  * [bdfc127] setup-storage: Added align-at option for user-defined
    alignment - thanks to Mathieu Alorent
  * [37b2520] setup-storage/Parser.pm: Fixed mis-merge of align-at
    parsing and made it more robust.
  * [d9f96fe] setup-storage/Sizes.pm: Apply alignment constraints to start
    of first partition.
  * [1a904b3] setup-storage/Parser.pm: Finally fix align-at parser bug.
  * [cee3610] setup-storage.8: Document alignment strategy of setup-storage.
  * [91ab2d0] get-config-dir-svn: really fix broken SVN URL comparison
  * [2b7475d] get-config-dir-svn: Fix broken-pipe error in SVN URL check

  [ Thomas Lange ]
  * [d7099c5] add initramfs-tools, workaround for fai-mirror problem
  * [012e755] diverting nis not needed any more, tested with lenny and
    squeeze (Closes: #612481)
  * [225c726] use new command names for cdrecord and mkisofs
    (Closes: #609568)
  * [a8b5849] get-config-dir-http: new script to get a tarball of the
    config space - thanks to Waldemar Brodkorb for the initial patch
  * [bf6b52d] fix comment in get-config-dir-http
  * [b196fb4] get-config-dir-http: minor change in messages
  * [4a8422a] fix wrong file name for memtest boot option
    (Closes: #620798)
  * [bfa7406] year++
  * [84a367d] use same linux-image package names as in NFSROOT
  * [aba26b4] replace transitional package name for dhcp-client
  * [64edc5e] call genisoimage with -R instead of -r, thanks to
    Syd Alsobrook for report and suggestion

 -- Michael Prokop <mika@debian.org>  Tue, 10 May 2011 12:39:55 +0200
