## fai 3.4.8ubuntu2

=== debian/changelog ===
fai (3.4.8ubuntu2) precise; urgency=low

  * In the case FAI is started in an Upstart environment, check if an
    upstart job udevtrigger exists. If it does, we really need to start
    this job so that "missed" kernel events are replayed. Otherwise may
    miss block events. This results in block devices having "wrong" owners
    and confuses the FAI "disk-info" utility, which in turn breaks the
    disk detection completely. LP: #941959

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Mar 2012 10:46:12 +0100

fai (3.4.8ubuntu1) precise; urgency=low

  * New Upstream Version
  * Changes for Ubuntu:
   + conf/NFSROOT
    - replacing debian linux-image-* with linux-image-server
    - added console-setup 
    - changed grub to grub-pc
   + exmaples/simple/scripts/GRUB_PC/10-setup:
    - added command to regenerate grub.cfg
   + etc/fai/make-fai-nfsroot.conf:
    - add "--include=aptitude" to FAI_DEBOOTSTRAP_OPTS
    - add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS
   + bin/fai-cd:
    - add missing grub-common package

 -- Stephan Adig <sh@sourcecode.de>  Tue, 31 Jan 2012 13:39:32 +0100
