=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2
 Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
 Build-Depends: debhelper (>= 7)
 Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
