=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fai
 Section: admin
 Priority: extra
-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
@@ -41,7 +42,7 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
 Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
@@ -62,7 +63,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
