=== debian/control ===
--- 
+++ 
@@ -89,7 +89,7 @@
 Architecture: all
 Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
 Recommends: lvm2, mdadm
-Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
+Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
 Conflicts: fai-client (<< 3.4~)
 Description: automatically prepare storage devices
  Using FAI disk_config files, setup-storage computes effective
