=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 DESTDIR=`pwd`/debian/tmp
 DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc
-
-# we never want CVS and subversion files in our packages
-export DH_ALWAYS_EXCLUDE=CVS:.svn
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -23,7 +20,6 @@
 clean:
 	dh_testdir
 #	dh_testroot
-	rm -f build-stamp
 # Add here commands to clean up after the build process.
 	$(MAKE) clean
 	dh_clean
@@ -31,7 +27,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 # Add here commands to install the package into debian/fai.
 	$(MAKE) install
@@ -57,7 +53,7 @@
 	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
 	chmod a+rx ${DOCDIR}/examples/utils/*
 	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
-	cp `pwd`/debian/fai-quickstart.lintian $(shell pwd)/debian/fai-quickstart/usr/share/lintian/overrides/fai-quickstart
+	dh_lintian
 # You may want to make some executables suid here.
 	dh_installdeb
 	dh_gencontrol
